> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shipping method

> Updates shipping method by its Id



## OpenAPI

````yaml oms_v2_combined patch /shipping/{shipmethodId}
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /shipping/{shipmethodId}:
    patch:
      tags:
        - Shipping Method
      summary: Update shipping method
      description: Updates shipping method by its Id
      operationId: updateShipmethodById
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - name: shipmethodId
          in: path
          description: 24-character system-generated unique ID of shipping method
          required: true
          schema:
            type: string
          example: 62fa3796841ea417fa71d2a9
      requestBody:
        content:
          application/json:
            schema:
              required:
                - addressType
                - channel
                - cost
                - createdBy
                - cutOffTime
                - description
                - maximumDays
                - minimumDays
                - name
                - taxCode
              type: object
              properties:
                shippingMethodId:
                  type: string
                  example: 5349b4ddd2781d08c09890f4
                  description: >-
                    24-character system-generated unique shipping method ID.
                    Optional in the request body
                name:
                  type: string
                  example: Express Delivery
                  description: Shipping method name
                description:
                  type: string
                  example: Express Delivery 2 - 5 days
                  description: Brief description of shipping method
                taxCode:
                  type: string
                  example: tax_1
                  description: Tax code based on the state
                minimumDays:
                  type: integer
                  format: int32
                  example: 2
                  description: Minimum days for delivery
                maximumDays:
                  type: integer
                  format: int32
                  example: 5
                  description: Maximum days for delivery
                cutOffTime:
                  type: integer
                  format: int32
                  example: 1330
                  description: Cut off delivery time
                cost:
                  type: number
                  example: 20
                  description: Shipping cost
                channel:
                  type: string
                  example: '12'
                  description: Sales channel
                region:
                  description: Region or state of shipping
                  type: string
                  example: CA
                deleted:
                  type: boolean
                  example: false
                  description: >-
                    true: Shipping method is deleted <br /> false: Shipping
                    method is active
                createdBy:
                  type: string
                  example: User1
                  description: User who created the shipping method
                updatedBy:
                  type: string
                  example: User2
                  description: User who last modified the shipping method
                configuredBy:
                  type: string
                  example: User3
                  description: User who configured the shipping method
                addressType:
                  type: string
                  example: APO
                  description: Address type of delivery
                weight:
                  type: object
                  properties:
                    min:
                      type: integer
                      format: int32
                      example: 2
                      description: Minimum value
                    max:
                      type: integer
                      format: int32
                      example: 3
                      description: Maximum value
                  description: Min-max value
                cartValue:
                  type: object
                  properties:
                    min:
                      type: integer
                      format: int32
                      example: 2
                      description: Minimum value
                    max:
                      type: integer
                      format: int32
                      example: 3
                      description: Maximum value
                  description: Min-max value
                dimension:
                  type: object
                  properties:
                    min:
                      type: object
                      properties:
                        height:
                          type: integer
                          format: int32
                          example: 2
                          description: Height of shipment
                        width:
                          type: integer
                          format: int32
                          example: 3
                          description: Width of shipment
                        length:
                          type: integer
                          format: int32
                          example: 4
                          description: Length of shipment
                      description: Dimension details
                    max:
                      type: object
                      properties:
                        height:
                          type: integer
                          format: int32
                          example: 2
                          description: Height of shipment
                        width:
                          type: integer
                          format: int32
                          example: 3
                          description: Width of shipment
                        length:
                          type: integer
                          format: int32
                          example: 4
                          description: Length of shipment
                      description: Dimension details
                  description: Min-Max dimension details
                createdAt:
                  type: string
                  format: date-time
                  description: Time of shipping method creation
                updatedAt:
                  type: string
                  format: date-time
                  description: Time of shipping method creation
              description: Details of shipping method
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                required:
                  - addressType
                  - channel
                  - cost
                  - createdBy
                  - cutOffTime
                  - description
                  - maximumDays
                  - minimumDays
                  - name
                  - taxCode
                type: object
                properties:
                  shippingMethodId:
                    type: string
                    example: 5349b4ddd2781d08c09890f4
                    description: >-
                      24-character system-generated unique shipping method ID.
                      Optional in the request body
                  name:
                    type: string
                    example: Express Delivery
                    description: Shipping method name
                  description:
                    type: string
                    example: Express Delivery 2 - 5 days
                    description: Brief description of shipping method
                  taxCode:
                    type: string
                    example: tax_1
                    description: Tax code based on the state
                  minimumDays:
                    type: integer
                    format: int32
                    example: 2
                    description: Minimum days for delivery
                  maximumDays:
                    type: integer
                    format: int32
                    example: 5
                    description: Maximum days for delivery
                  cutOffTime:
                    type: integer
                    format: int32
                    example: 1330
                    description: Cut off delivery time
                  cost:
                    type: number
                    example: 20
                    description: Shipping cost
                  channel:
                    type: string
                    example: '12'
                    description: Sales channel
                  region:
                    description: Region or state of shipping
                    type: string
                    example: CA
                  deleted:
                    type: boolean
                    example: false
                    description: >-
                      true: Shipping method is deleted <br /> false: Shipping
                      method is active
                  createdBy:
                    type: string
                    example: User1
                    description: User who created the shipping method
                  updatedBy:
                    type: string
                    example: User2
                    description: User who last modified the shipping method
                  configuredBy:
                    type: string
                    example: User3
                    description: User who configured the shipping method
                  addressType:
                    type: string
                    example: APO
                    description: Address type of delivery
                  weight:
                    type: object
                    properties:
                      min:
                        type: integer
                        format: int32
                        example: 2
                        description: Minimum value
                      max:
                        type: integer
                        format: int32
                        example: 3
                        description: Maximum value
                    description: Min-max value
                  cartValue:
                    type: object
                    properties:
                      min:
                        type: integer
                        format: int32
                        example: 2
                        description: Minimum value
                      max:
                        type: integer
                        format: int32
                        example: 3
                        description: Maximum value
                    description: Min-max value
                  dimension:
                    type: object
                    properties:
                      min:
                        type: object
                        properties:
                          height:
                            type: integer
                            format: int32
                            example: 2
                            description: Height of shipment
                          width:
                            type: integer
                            format: int32
                            example: 3
                            description: Width of shipment
                          length:
                            type: integer
                            format: int32
                            example: 4
                            description: Length of shipment
                        description: Dimension details
                      max:
                        type: object
                        properties:
                          height:
                            type: integer
                            format: int32
                            example: 2
                            description: Height of shipment
                          width:
                            type: integer
                            format: int32
                            example: 3
                            description: Width of shipment
                          length:
                            type: integer
                            format: int32
                            example: 4
                            description: Length of shipment
                        description: Dimension details
                    description: Min-Max dimension details
                  createdAt:
                    type: string
                    format: date-time
                    description: Time of shipping method creation
                  updatedAt:
                    type: string
                    format: date-time
                    description: Time of shipping method creation
                description: Details of shipping method
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: Bad Request
        '404':
          description: ShipMethod Not Found!
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: ShipMethod Not Found.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error details
              example:
                message: Internal Server Error
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````